Bug Hunting Session
Bug 93870 - Disable DirectX slideshow when in OpenGL mode ...
Summary: Disable DirectX slideshow when in OpenGL mode ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-09-02 22:21 UTC by Michael Meeks
Modified: 2017-09-11 01:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-09-02 22:21:19 UTC
Conventional wisdom (gleaned from Markus / Mozilla etc.) suggests that the mixture of OpenGL and DirectX in the same process is really sub-optimal from a stability perspective.

As such - we should use the accelerated GL / VCL rendering model for slideshow in place of the directx canvas - so as to avoid using 2x different acceleration models; that is until the GL / slideshow code is in good shape.
Comment 1 Commit Notification 2015-09-03 09:37:52 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=055f76b8f1897b79cc5f153da55e38b95ca551a2

tdf#93870 - GL accel. via VCL canvas for presentations when GL enabled.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-09-03 11:22:27 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d75600ef299b2a8c7b269936acebe646a16e62a5&h=libreoffice-5-0

tdf#93870 - GL accel. via VCL canvas for presentations when GL enabled.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2015-09-03 12:20:22 UTC
Merged to -5-0.